cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Share your feedback on the Document Scanning Experience in the Dropbox App right here.

Create, upload, and share

Find help to solve issues with creating, uploading, and sharing files and folders in Dropbox. Get support and advice from the Dropbox Community.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Drobox Error during startup

Drobox Error during startup

iceage2609
New member | Level 2

Hi there,Dropbox was working just fine until 2-3 days ago on my M1 Mac. I am getting this "couldn't start Dropbox error at startup. This is usually because of a permissions error." 

The path /var/folders/... has a txt with this info. Any idea what's the matter?  

 

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 144.4.4491
bn.constants.WINDOWS_SHELL_EXT_VERSION: 52
bn.is_frozen: True
machine_id: 3560b2aa-83fe-59b4-b6ad-544cba31fed0
pid: 464
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='bill', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='bill', pw_dir='/Users/bill', pw_shell='/bin/zsh')
effective_user_info: pwd.struct_passwd(pw_name='bill', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='bill', pw_dir='/Users/bill', pw_shell='/bin/zsh')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'popi'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'popi'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
           	mode=0o40755	uid=0	gid=0
     parent	mode=0o40755	uid=0	gid=0
HOME: '/Users/bill'
appdata: '/Users/bill/.dropbox/instance1'
         real_path='/Users/bill/.dropbox/instance1'
               	mode=0o40700	uid=501	gid=20
         parent	mode=0o40755	uid=501	gid=20
dropbox_path: '/Users/bill/Library/CloudStorage/Dropbox'
              real_path='/Users/bill/Library/CloudStorage/Dropbox'
                    	mode=0o40700	uid=501	gid=20
              parent	mode=0o40755	uid=501	gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      	mode=0o100755	uid=501	gid=20
                parent	mode=0o40755	uid=501	gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      	not found
                parent	not found
tempdir: '/var/folders/47/6tbchk0j0bv81lf6kf2fjp080000gn/T'
         real_path='/private/var/folders/47/6tbchk0j0bv81lf6kf2fjp080000gn/T'
               	mode=0o40700	uid=501	gid=20
         parent	mode=0o40755	uid=501	gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 840, in wrapper
  File "dropbox/client/main.pyc", line 6649, in finish_dropbox_boot
  File "dropbox/client/message_queue.pyc", line 311, in _wrapped
  File "dropbox/client/main.pyc", line 6183, in _init_components_for_account
  File "dropbox/client/main.pyc", line 6107, in create_sync_engine
  File "dropbox/sync_engine_boundary/factory.pyc", line 218, in make_sync_engine
  File "dropbox/sync_engine/nucleus/classic_client/sync_engine.pyc", line 261, in __init__
  File "dropbox/sync_engine/nucleus/classic_client/modern_client/modern_client.pyc", line 258, in __init__
  File "dropbox/sync_engine/nucleus/classic_client/modern_client/base.pyc", line 157, in __init__
  File "dropbox/sync_root/fp_helpers.pyc", line 65, in fp_get_temporary_url
dropbox.mac.internal.MacError: [Errno 4099] Error Domain=NSCocoaErrorDomain Code=4099 "Error while sending temporaryDirectoryWithCompletionHandler:" UserInfo={NSDebugDescription=Error while sending temporaryDirectoryWithCompletionHandler:, NSUnderlyingError=0x600000287bd0 {Error Domain=NSCocoaErrorDomain Code=4099 "The connection to service named com.apple.FileProvider was invalidated from this process." UserInfo={NSDebugDescription=The connection to service named com.apple.FileProvider was invalidated from this process.}}}

 

 

 

 

 

7 Replies 7

Walter
Dropbox Staff
Hey @iceage2609, sorry to hear you're having issues with this.

Could you please try an advanced reinstall and let me know if you still get the same error?

If you're on the Basic plan, make sure to have no more than 2 devices connected to your account before you attempt this as there's a limit you might hit. 

Keep me posted!

Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, give it a Like below to let us know.
:arrows_counterclockwise: Need help with something else? Ask me a question!
:pushpin: Find Tips & Tricks Discover more ways to use Dropbox here!
:arrows_counterclockwise: Interested in Community Groups? Click here to join

sok123
Helpful | Level 6

Hi 

 

My dropbox does not boot up when I start my Mac. I only get the error message below. 

 

Anyway to resolve the issue?

 

****

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 165.4.4300
bn.constants.WINDOWS_SHELL_EXT_VERSION: 59
bn.is_frozen: True
machine_id: 39d932cd-da4f-512f-940d-51b3990ecd82
pid: 512
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='saadkhan', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Saad Khan', pw_dir='/Users/saadkhan', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='saadkhan', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Saad Khan', pw_dir='/Users/saadkhan', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=0
     parent mode=0o40755 uid=0 gid=0
HOME: '/Users/saadkhan'
appdata: '/Users/saadkhan/.dropbox/instance1'
         real_path='/Users/saadkhan/.dropbox/instance1'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40700 uid=501 gid=20
dropbox_path: '/Users/saadkhan/Library/CloudStorage/Dropbox'
              real_path='/Users/saadkhan/Library/CloudStorage/Dropbox'
                    mode=0o40700 uid=501 gid=20
              parent mode=0o40755 uid=501 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/f3/qgqb8c0d32b67b81rt_lwk740000gn/T'
         real_path='/private/var/folders/f3/qgqb8c0d32b67b81rt_lwk740000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 811, in wrapper
  File "dropbox/client/main.pyc", line 6279, in finish_dropbox_boot
  File "dropbox/client/message_queue.pyc", line 306, in _wrapped
  File "dropbox/client/main.pyc", line 5821, in _init_components_for_account
  File "dropbox/client/main.pyc", line 5745, in create_sync_engine
  File "dropbox/sync_engine_boundary/factory.pyc", line 225, in make_sync_engine
  File "dropbox/sync_engine/nucleus/classic_client/sync_engine.pyc", line 245, in __init__
  File "dropbox/sync_engine/nucleus/classic_client/modern_client/modern_client.pyc", line 280, in __init__
  File "dropbox/sync_engine/nucleus/classic_client/modern_client/base.pyc", line 167, in __init__
  File "dropbox/sync_root/fp_helpers.pyc", line 96, in fp_get_temporary_url
dropbox.mac.internal.MacError: [Errno 4099] Error Domain=NSCocoaErrorDomain Code=4099 "Error while sending temporaryDirectoryWithCompletionHandler:" UserInfo={NSDebugDescription=Error while sending temporaryDirectoryWithCompletionHandler:, NSUnderlyingError=0x60000356cb40 {Error Domain=NSCocoaErrorDomain Code=4099 "The connection to service named com.apple.FileProvider was invalidated from this process." UserInfo={NSDebugDescription=The connection to service named com.apple.FileProvider was invalidated from this process.}}}

 

Megan
Dropbox Staff

Hi @sok123, I hope you're doing well!

 

Can I reach out to you internally, in order for us to have a closer look as to what could be causing this?

 

Keep me posted!


Megan
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, give it a Like below to let us know.
:arrows_counterclockwise: Need help with something else? Ask me a question!
:pushpin: Find Tips & Tricks Discover more ways to use Dropbox here!
:arrows_counterclockwise: Interested in Community Groups? Click here to join!

jaredsaia
New member | Level 2

I'm getting the following error messages, even after deleting the application, folder and all the cached files.

Any help much appreciated!

 

Jared

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 166.4.2920
bn.constants.WINDOWS_SHELL_EXT_VERSION: 59
bn.is_frozen: True
machine_id: 0b39855f-f64e-58c6-a2d4-6450b3b47908
pid: 55611
ppid: 1
uid: 503
user_info: pwd.struct_passwd(pw_name='jaredsaia', pw_passwd='********', pw_uid=503, pw_gid=20, pw_gecos='Jared Saia', pw_dir='/Users/jaredsaia', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='jaredsaia', pw_passwd='********', pw_uid=503, pw_gid=20, pw_gecos='Jared Saia', pw_dir='/Users/jaredsaia', pw_shell='/bin/bash')
euid: 503
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'ssg', 'saia', '_xcsbuildagent', '_serialnumberd', '_xcscredserver'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'ssg', 'saia', '_xcsbuildagent', '_serialnumberd', '_xcscredserver'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=0
parent mode=0o40755 uid=0 gid=0
HOME: '/Users/jaredsaia'
appdata: '/Users/saia/.dropbox/instance2'
real_path='/Users/saia/.dropbox/instance2'
not found
parent not found
dropbox_path: None
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=503 gid=20
parent mode=0o40755 uid=503 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/16/wzsjsmdd17l4w0447mldpcnw0000gq/T'
real_path='/private/var/folders/16/wzsjsmdd17l4w0447mldpcnw0000gq/T'
mode=0o40700 uid=503 gid=20
parent mode=0o40755 uid=503 gid=20
Traceback (most recent call last):
File "dropbox/client/main.pyc", line 1192, in safe_makedirs
File "dropbox/fsutil.pyc", line 730, in safe_makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/saia'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7529, in main_startup
File "dropbox/client/main.pyc", line 2592, in initialize
File "dropbox/client/main.pyc", line 1558, in startup_low
File "dropbox/client/main.pyc", line 1201, in safe_makedirs
File "dropbox/fsutil.pyc", line 730, in safe_makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 213, in makedirs
File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/saia'

Здравко
Legendary | Level 20

Hi @jaredsaia,

There are some imperfections in Dropbox application (not to say bugs). Next time when you're going to change some settings (including username), better unlink (sign  out) the Dropbox application from your account and link it (sign in) back after settings change. Otherwise the application gets in confusion and falls in dead lock. Since you're already in such a situation, you can force unlink using following command in terminal:

rm -rf ~/.dropbox

 Next, you can link back the application to your Dropbox account. 😉

Hope this helps.

whydub
New member | Level 2

Help! I have a weird problem...I updated my Dropbox back in May and have not been able to use my laptop since. My Finder keeps on crashing, and now my Dropbox won't start at all. Here's the error message:

 

n.BUILD_KEY: Dropbox
bn.VERSION: 178.4.4811
bn.constants.WINDOWS_SHELL_EXT_VERSION: 62
bn.is_frozen: True
machine_id: bc63c174-d21e-5c27-b531-1306c7a62f06
pid: 821
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='yingwong', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Ying Wong', pw_dir='/Users/yingwong', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='yingwong', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Ying Wong', pw_dir='/Users/yingwong', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'yw', 'yingwong'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'yw', 'yingwong'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=0
parent mode=0o40755 uid=0 gid=0
HOME: '/Users/yingwong'
appdata: '/Users/yingwong/.dropbox/instance1'
real_path='/Users/yingwong/.dropbox/instance1'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
dropbox_path: '/Users/yingwong/Dropbox'
real_path='/Users/yingwong/Library/CloudStorage/Dropbox'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/lb/sjkd3nkj3sgb8ngdq2ddwj_r0000gn/T'
real_path='/private/var/folders/lb/sjkd3nkj3sgb8ngdq2ddwj_r0000gn/T'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
File "desktop/dropbox/client/main.py", line 830, in wrapper
File "desktop/dropbox/client/main.py", line 6509, in finish_dropbox_boot
File "desktop/dropbox/client/message_queue.py", line 306, in _wrapped
File "desktop/dropbox/client/main.py", line 6041, in _init_components_for_account
File "desktop/dropbox/client/main.py", line 5964, in create_sync_engine
File "desktop/dropbox/sync_engine_boundary/factory.py", line 225, in make_sync_engine
File "desktop/dropbox/sync_engine/nucleus/classic_client/sync_engine.py", line 243, in __init__
File "desktop/dropbox/sync_engine/nucleus/classic_client/modern_client/modern_client.py", line 282, in __init__
File "desktop/dropbox/sync_engine/nucleus/classic_client/modern_client/base.py", line 192, in __init__
File "desktop/dropbox/fs_api/lifecycle.py", line 192, in __init__
File "desktop/dropbox/fs_api/lifecycle.py", line 206, in _create_thin_client
File "desktop/dropbox/fs_api/fs_api_adapter.py", line 50, in __init__
File "desktop/extensions/fs_api/fs_api_python.pyx", line 63, in fs_api_python.FsApiServer.__cinit__
fs_api_python.FsApiError: "Initializing fs api |>> Initializing platform |>> Opening worker root directory |>> open syscall |>> Permission denied"

Hannah
Dropbox Staff

Hey @whydub, thanks for letting us know about this.

 

Can you try these steps for a more advanced reinstall of the desktop app, to see if they help?


Hannah
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, give it a Like below to let us know.
:arrows_counterclockwise: Need help with something else? Ask me a question!
:pushpin: Find Tips & Tricks Discover more ways to use Dropbox here!
:arrows_counterclockwise: Interested in Community Groups? Click here to join!

Need more support?
Who's talking

Top contributors to this post

  • User avatar
    Hannah Dropbox Staff
  • User avatar
    whydub New member | Level 2
  • User avatar
    Здравко Legendary | Level 20
  • User avatar
    jaredsaia New member | Level 2
  • User avatar
    Megan Dropbox Staff
What do Dropbox user levels mean?